サポート » インストール » 「load.php」にてエラー

  • 解決済 rie726

    (@rie726)


    Wordpressを新規でインストールしたところ、もともと利用していたブログ(Wordpressにて作成)がまったく表示されなくなり、ログインも出来ず困っております。

    レンタルサーバー(ロリポップ)に問い合わせたところ、Wordpressを新しくインストールしたときに、PHPのバージョン変更したことにより、もともとのブログがエラーを起こしているのだろうとの事。

    どうしたら修正できるでしょうか。
    まったく知識がありません。わかりやすく教えていただけるととっても助かります。

    エラー内容は以下の通りと教えてもらいました。

    ━━━━━━━━━━━━━━━━━━━━━━━━━━
    Fatal error: Uncaught Error: Call to undefined function get_magic_quotes_gpc() in /home/users/1/lolipop.jp-111524115993ddf0/web/blog/wp-includes/load.php:651 Stack trace: #0 /home/users/1/lolipop.jp-111524115993ddf0/web/blog/wp-settings.php(333): wp_magic_quotes() #1 /home/users/1/lolipop.jp-111524115993ddf0/web/blog/wp-config.php(82): require_once('/home/users/1/l...') #2 /home/users/1/lolipop.jp-111524115993ddf0/web/blog/wp-load.php(37): require_once('/home/users/1/l...') #3 /home/users/1/lolipop.jp-111524115993ddf0/web/blog/wp-blog-header.php(13): require_once('/home/users/1/l...') #4 /home/users/1/lolipop.jp-111524115993ddf0/web/blog/index.php(17): require('/home/users/1/l...') #5 {main} thrown in /home/users/1/lolipop.jp-111524115993ddf0/web/blog/wp-includes/load.php on line 651
    ━━━━━━━━━━━━━━━━━━━━━━━━━━

    ヘルプの必要なページ: [リンクを見るにはログイン]

3件の返信を表示中 - 1 - 3件目 (全3件中)
  • こんにちは

    PHP のバージョンを 7.x の一番数字の大きいものに変更してください。
    7.x でしたら、新しくインストールした WordPress も動作します。

    ロリポップでのPHPのバージョン変更の手順については、以下のページを参考にしてください。

    https://lolipop.jp/manual/user/php-setting/

    こんにちは

    問い合わせの回答にあるとおり PHP のバージョンを変更したことが原因だと思われます。お使いの WordPress のバージョンが、変更した PHP バージョンに対応していないようです。
    PHP を元のバージョンに戻してみてはどうでしょうか?

    トピック投稿者 rie726

    (@rie726)

    munyaguさま
    ishitakaさま

    アドバイスいただいた通り、

    PHPを7.4に変更したら無事表示されるようになりました!!

    ありがとうございます(嬉涙)

    ここ数日の悩みが解決されました!!

    本当にありがとうございました。

3件の返信を表示中 - 1 - 3件目 (全3件中)
  • トピック「「load.php」にてエラー」には新たに返信することはできません。